import request from '@/utils/request'

// 查询供应商列表
export function listSupplier(query) {
  return request({
    url: '/system/supplier/list',
    method: 'get',
    params: query
  })
}
// 查询供应商列表
export function select() {
  return request({
    url: '/system/supplier/select/list',
    method: 'get',
  })
}


// 查询供应商详细
export function getSupplier(sId) {
  return request({
    url: '/system/supplier/' + sId,
    method: 'get'
  })
}

// 新增供应商
export function addSupplier(data) {
  return request({
    url: '/system/supplier',
    method: 'post',
    data: data
  })
}

// 修改供应商
export function updateSupplier(data) {
  return request({
    url: '/system/supplier',
    method: 'put',
    data: data
  })
}

// 删除供应商
export function delSupplier(sId) {
  return request({
    url: '/system/supplier/' + sId,
    method: 'delete'
  })
}

// 导出供应商
export function exportSupplier(query) {
  return request({
    url: '/system/supplier/export',
    method: 'get',
    params: query
  })
}
